/**
 *
 * @package     productive-global
 * @author      productiveminds.com
 * @copyright   productiveminds.com
 */

const productiveminds_global_home_url = productiveminds_common_js_name.productiveminds_global_home_url;
// start: popups
const open_btn = document.querySelectorAll("[data-open-popup]");
for( i = 0; i < open_btn.length; i++ ) {
    let open_btn_obj = open_btn[i];
    let productive_popupId = open_btn_obj.dataset.openPopup;
    if( "" !== productive_popupId ) {
        open_btn_obj.addEventListener("click", function( e ) {
            e.preventDefault();
            productive_Common_Close_Currently_Opened_Popups();
            document.getElementById(productive_popupId).classList.add("show-productive_popup");
        });
    }
}
const close_btn_x = document.querySelectorAll("[data-close-popup]");
for( i = 0; i < close_btn_x.length; i++ ) {
    let close_btn_obj = close_btn_x[i];
    let productive_popupId = close_btn_obj.dataset.openPopup;
    if( "" !== productive_popupId ) {
        alert('close');
        close_btn_obj.addEventListener("click", function( e ) {
            e.preventDefault();
            document.getElementById(productive_popupId).classList.remove("show-productive_popup");
        });
    }
}
const productive_container_close_buttons = document.getElementsByClassName("productive-popup-close-button");
for( i = 0; i < productive_container_close_buttons.length; i++ ) {
    let productive_container_close_button = productive_container_close_buttons[i];
    productive_container_close_button.addEventListener("click", function( e ) {
        e.preventDefault();
        this.parentElement.parentElement.classList.remove("show-productive_popup");
    });
}
// Close popup, if user presses elsewhere
document.addEventListener("click", e => {
  if ( e.target === document.querySelector(".productive_popup.std_popup.can_elsewhere.show-productive_popup") ) {
    document.querySelector(".productive_popup.show-productive_popup").classList.remove("show-productive_popup");
  }
});
// Close popup, if user presses escape key
document.addEventListener("keyup", e => {
  if ( e.key === "Escape" && document.querySelector(".productive_popup.std_popup.can_keyup.show-productive_popup") ) {
    document.querySelector(".productive_popup.show-productive_popup").classList.remove("show-productive_popup");
  }
});
function productive_Common_Close_Currently_Opened_Popups() {
    let show_productive_popups = document.querySelectorAll(".show-productive_popup");
    for( i = 0; i < show_productive_popups.length; i++ ) {
        let show_productive_popup = show_productive_popups[i];
        show_productive_popup.classList.remove("show-productive_popup");
    }
}
// start: popups
// Start: standard block close buttons
const productive_block_close_buttons = document.getElementsByClassName("productive-block-close-button");
for( i = 0; i < productive_block_close_buttons.length; i++ ) {
    let productive_block_close_button = productive_block_close_buttons[i];
    productive_block_close_button.addEventListener("click", function() {
        this.parentElement.classList.add("noned");
    });
}
// Start: collapsible button
const productive_collapsible_container_buttons = document.getElementsByClassName("productive-collapsible-container-button");
for( i = 0; i < productive_collapsible_container_buttons.length; i++ ) {
    let productive_collapsible_container_button = productive_collapsible_container_buttons[i];
    productive_collapsible_container_button.addEventListener("click", function() {
        this.parentElement.querySelector( ".productive-collapsible-container" ).classList.toggle("noned_but_only_applicable_in_smallscreen");
    });
}
// Start:: Accordion (for FAQs etc)
function productive_Allow_Toggle_Accodion_Content(this_parent_toggle_container_css_class_object, clickable_container_css_class, toggle_symbol_container_css_class, toggleable_content_css_class) {
    if( undefined !== this_parent_toggle_container_css_class_object && null !== this_parent_toggle_container_css_class_object ) {
        const clickable_container_css_class_objects = this_parent_toggle_container_css_class_object.querySelectorAll( clickable_container_css_class );
        for( i = 0; i < clickable_container_css_class_objects.length; i++ ) {
            clickable_container_css_class_objects[i].querySelector( toggle_symbol_container_css_class ).classList.add("enable_toggle");
            clickable_container_css_class_objects[i].querySelector( toggle_symbol_container_css_class ).style.cursor = "pointer";
            clickable_container_css_class_objects[i].querySelector( toggleable_content_css_class ).classList.add("noned");
        }
    }
}
function productive_Toggle_Accodion_Content_Toggle( productiveminds_section_css_class, parent_toggle_container_css_class, clickable_container_css_class, toggle_symbol_container_css_class, toggleable_content_css_class, section_content_layout_enable_accordion_toggle ) {
    let this_parent_toggle_container_css_class_object = document.querySelector( productiveminds_section_css_class );
    if( undefined !== this_parent_toggle_container_css_class_object && null !== this_parent_toggle_container_css_class_object ) {
        if( "toggle_disabled" !== section_content_layout_enable_accordion_toggle ) {
            productive_Allow_Toggle_Accodion_Content( this_parent_toggle_container_css_class_object, clickable_container_css_class, toggle_symbol_container_css_class, toggleable_content_css_class );
            const clickable_container_css_class_objects = this_parent_toggle_container_css_class_object.querySelectorAll( clickable_container_css_class );
            for( i = 0; i < clickable_container_css_class_objects.length; i++ ) {
                let this_clickable_container_css_class_object = clickable_container_css_class_objects[i];
                let toggle_symbol_container_css_class_object = this_clickable_container_css_class_object.querySelector( toggle_symbol_container_css_class );
                let toggleable_content_css_class_object = this_clickable_container_css_class_object.querySelector( toggleable_content_css_class );
                toggle_symbol_container_css_class_object.addEventListener("click", function(e) {

                    // Reset first, if necessary
                    if( "toggle_reset_before_toggle" === section_content_layout_enable_accordion_toggle ) {

                        var toggle_symbol_container_css_class_object_state = toggle_symbol_container_css_class_object.classList.contains("opened");
                        var toggleable_content_css_class_object_state = toggleable_content_css_class_object.classList.contains("noned");

                        productive_Toggle_Close_Accordion_Containers( this_parent_toggle_container_css_class_object, clickable_container_css_class, toggle_symbol_container_css_class, toggleable_content_css_class );

                        if( toggle_symbol_container_css_class_object_state ) {
                            toggle_symbol_container_css_class_object.classList.remove("opened");
                        } else {
                            toggle_symbol_container_css_class_object.classList.add("opened");
                        }
                        if( toggleable_content_css_class_object_state ) {
                            toggleable_content_css_class_object.classList.remove("noned");
                        } else {
                            toggleable_content_css_class_object.classList.add("noned");
                        }
                    } else {
                        toggle_symbol_container_css_class_object.classList.toggle("opened");
                        toggleable_content_css_class_object.classList.toggle("noned");
                    }
                });
            }
        }
    }
}
function productive_Toggle_Close_Accordion_Containers(this_parent_toggle_container_css_class_object, clickable_container_css_class, toggle_symbol_container_css_class, toggleable_content_css_class) {
    if( undefined !== this_parent_toggle_container_css_class_object && null !== this_parent_toggle_container_css_class_object ) {
        const clickable_container_css_class_objects = this_parent_toggle_container_css_class_object.querySelectorAll( clickable_container_css_class );
        for( i = 0; i < clickable_container_css_class_objects.length; i++ ) {
            clickable_container_css_class_objects[i].querySelector( toggle_symbol_container_css_class ).classList.remove("opened");
            clickable_container_css_class_objects[i].querySelector( toggleable_content_css_class ).classList.add("noned");
        }
    }
}
// End:: Accordion (for FAQs etc)
function productive_IsValidEmailAddress( email ) {
    if( "" === email ) {
        return false;
    }
    // More than one @ or none
    let number_of_ats = email.split("@");
    if( number_of_ats.length !== 2 ) {
        return false;
    }
    
    let pos_of_at = 0;
    let pos_of_dot = 0;
    let length_of_email = email.length;
    
    pos_of_at = email.indexOf( "@" );
    pos_of_dot = email.indexOf( "." );
    
    let two_chars_after_at = pos_of_at + 2; // 2 chars after @
    let two_chars_before_length = length_of_email - 2; // 2 chars before length
    
    if( pos_of_at > 1 && ( pos_of_dot > two_chars_after_at && pos_of_dot < two_chars_before_length ) ) {
        return true;
    }
    return false;
}
function productive_Do_Is_Clickable( el ) {
    el.addClass( "productiveminds_is_clickable" );
    el.removeClass( "productiveminds_is_not_clickable" );
}
function productive_Do_Is_Not_Clickable( el ) {
    el.addClass( "productiveminds_is_not_clickable" );
    el.removeClass( "productiveminds_is_clickable" );
}
// Start: Swiper
let swiper_var_enabled             = productiveminds_common_js_name.swiper_var_enabled;
let swiper_var_slidesPerView       = productiveminds_common_js_name.swiper_var_slidesPerView;
let swiper_var_slidesBreakPoints   = productiveminds_common_js_name.swiper_var_slidesBreakPoints;
let swiper_var_effect              = productiveminds_common_js_name.swiper_var_effect;
let swiper_var_loop                = productiveminds_common_js_name.swiper_var_loop;
let swiper_var_direction           = productiveminds_common_js_name.swiper_var_direction;
let swiper_var_lazyLoading         = productiveminds_common_js_name.swiper_var_lazyLoading;
let swiper_var_autoplay            = productiveminds_common_js_name.swiper_var_autoplay;
let swiper_var_delay               = productiveminds_common_js_name.swiper_var_delay;
let swiper_var_pauseOnMouseEnter   = productiveminds_common_js_name.swiper_var_pauseOnMouseEnter;
let swiper_var_scrollbar           = productiveminds_common_js_name.swiper_var_scrollbar;
let swiper_var_simulateTouch       = productiveminds_common_js_name.swiper_var_simulateTouch;
let swiper_var_grabCursor          = productiveminds_common_js_name.swiper_var_grabCursor;
let swiper_var_slides_margin       = productiveminds_common_js_name.swiper_var_slides_margin;

function productive_Common_Js_Slider(swiper_var_css_class_name, swiper_var_enabled, swiper_var_slidesPerView, swiper_var_slidesBreakPoints, swiper_var_effect, swiper_var_loop, swiper_var_direction, swiper_var_lazyLoading, swiper_var_autoplay, swiper_var_delay, swiper_var_pauseOnMouseEnter, swiper_var_scrollbar, swiper_var_simulateTouch, swiper_var_grabCursor, swiper_var_slides_margin ) {
    // Slider
    const swiper_container_swiper_var_css_class_name = document.querySelector( ".swiper_container " + swiper_var_css_class_name );
    const slidesPerViewValue = swiper_var_slidesPerView.split(",");
    let spv_widescreen = parseFloat( slidesPerViewValue[5] );
    let spv_desktop = parseFloat( slidesPerViewValue[4] );
    let spv_t_landscape = parseFloat( slidesPerViewValue[3] );
    let spv_t_portrait = parseFloat( slidesPerViewValue[2] );
    let spv_m_landscape = parseFloat( slidesPerViewValue[1] );
    let spv_m_portrait = parseFloat( slidesPerViewValue[0] );
    
    let loopedSlides_widescreen     = parseInt( spv_widescreen );
    let loopedSlides_desktop        = parseInt( spv_desktop );
    let loopedSlides_t_landscape    = parseInt( spv_t_landscape );
    let loopedSlides_t_portrait     = parseInt( spv_t_portrait );
    let loopedSlides_m_landscape    = parseInt( spv_m_landscape );
    let loopedSlides_m_portrait     = parseInt( spv_m_portrait );

//        const swiper_var_slidesBreakPointsValue = swiper_var_slidesBreakPoints.split(",");
//        let bp_widescreen = parseFloat( swiper_var_slidesBreakPointsValue[5] );
//        let bp_desktop = parseFloat( swiper_var_slidesBreakPointsValue[4] );
//        let bp_t_landscape = parseFloat( swiper_var_slidesBreakPointsValue[3] );
//        let bp_t_portrait = parseFloat( swiper_var_slidesBreakPointsValue[2] );
//        let bp_m_landscape = parseFloat( swiper_var_slidesBreakPointsValue[1] );
//        let bp_m_portrait = parseFloat( swiper_var_slidesBreakPointsValue[0] );

    const swiper_var_slides_marginValue         = swiper_var_slides_margin.split(",");
    let swiper_var_slides_margin_widescreen     = parseFloat( swiper_var_slides_marginValue[5] );
    let swiper_var_slides_margin_desktop        = parseFloat( swiper_var_slides_marginValue[4] );
    let swiper_var_slides_margin_t_landscape    = parseFloat( swiper_var_slides_marginValue[3] );
    let swiper_var_slides_margin_t_portrait     = parseFloat( swiper_var_slides_marginValue[2] );
    let swiper_var_slides_margin_m_landscape    = parseFloat( swiper_var_slides_marginValue[1] );
    let swiper_var_slides_margin_m_portrait     = parseFloat( swiper_var_slides_marginValue[0] );

    autoPlayOptions = false;
    if ( swiper_var_autoplay ) {
        autoPlayOptions = {
            delay: swiper_var_delay,
            pauseOnMouseEnter: swiper_var_pauseOnMouseEnter
        };
    }
    
    const swiper = swiper_container_swiper_var_css_class_name;
    new Swiper(swiper, {
    enabled: swiper_var_enabled,   // false to hide all slide features and only show the first image
    slidesPerView: spv_m_portrait,
    effect: swiper_var_effect,
    loop: swiper_var_loop,
    direction: swiper_var_direction,
    spaceBetween: 10,
    lazyLoading: swiper_var_lazyLoading,
    initialSlide: 0,
    createElements: false,
    autoplay: autoPlayOptions,
    scrollbar: swiper_var_scrollbar,
    simulateTouch: swiper_var_simulateTouch,
    grabCursor: swiper_var_grabCursor, // equavalent to cursor: pointer (in css)
    slideToClickedSlide: true,
    loopedSlides: loopedSlides_m_portrait,
    keyboard: {
      enabled: true
    },
    navigation: {
      prevEl: swiper_container_swiper_var_css_class_name.querySelector(".swiper-button-prev"),
      nextEl: swiper_container_swiper_var_css_class_name.querySelector(".swiper-button-next")
    },
    pagination: {
      el: swiper_container_swiper_var_css_class_name.querySelector(".swiper-pagination"),
      clickable: true
    },
    breakpointsBase: 'window',
    breakpoints: {
      600: { 
        slidesPerView: spv_m_portrait,
        loopedSlides: loopedSlides_m_portrait,
        spaceBetween: swiper_var_slides_margin_m_portrait
      },
      767: { 
        slidesPerView: spv_m_landscape,
        loopedSlides: loopedSlides_m_landscape,
        spaceBetween: swiper_var_slides_margin_m_landscape
      },
      800: { 
        slidesPerView: spv_t_portrait,
        loopedSlides: loopedSlides_t_portrait,
        spaceBetween: swiper_var_slides_margin_t_portrait
      },
      1024: { // tablet_landscape +
        slidesPerView: spv_t_landscape,
        loopedSlides: loopedSlides_t_landscape,
        spaceBetween: swiper_var_slides_margin_t_landscape
      },
      1280: { // tablet_landscape +
        slidesPerView: spv_desktop,
        loopedSlides: loopedSlides_desktop,
        spaceBetween: swiper_var_slides_margin_desktop
      },
      1400: { // tablet_landscape +
        slidesPerView: spv_widescreen,
        loopedSlides: loopedSlides_widescreen,
        spaceBetween: swiper_var_slides_margin_widescreen
      }
    }    
  });
}
// End: Swiper
