<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/template-parts/part-loop-archive-post.php';

$is_homepage_banner_enabled = productive_ecommerce_is_homepage_banner_enable();

if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
    do_action( 'display_homepage_hero_widget', 'homepage_hero_widget' );
} else if ( $is_homepage_banner_enabled ) {
    do_action( 'display_productive_ecommerce_do_homepage_banner' );
}

do_action( 'display_homepage_content_widget_top', 'homepage_content_widget_top' );

do_action('display_homepage_element_section');

do_action('display_homepage_bestsellers');

do_action('display_homepage_latest');

productive_ecommerce_render_content_archive_item_blog( 1, 0, 0, 1, 1 );

do_action( 'display_homepage_content_widget_bottom', 'homepage_content_widget_bottom' );
