<?php
/**
 * @author      productiveminds.com
 * @copyright   productiveminds.com
 */

if( ! function_exists( 'productive_global_plugin_options_render_page_menu_global' ) ) {
    
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_VERSION', '1.0.2' );
    
    define( 'PRODUCTIVE_GLOBAL_ADMIN_OVERVIEW_REQUEST_URI', 'productive_options_overview' ); // Same value as admin overview request URI in plugins
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_COMPONENT_NAME', __( 'Productive Global Settings', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_BROWSER_NAVBAR_TITLE', __( 'Productive Global Settings', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_BROWSER_SIDEBAR_MENU_TITLE', __( 'Global Settings', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI', 'productive_global_options_submenu' );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_GRID', __( 'Grids and Breakpoints', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_POPUP', __( 'PopUps', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_SLIDER', __( 'Sliders', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_SHARING', __( 'Sharing', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_MISC', __( 'Other Settings', 'productive-ecommerce' ) );
    
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_TOP_RIGHT', 'top_right' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_TOP_LEFT', 'top_left' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_BOTTOM_RIGHT', 'bottom_right' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_BOTTOM_LEFT', 'bottom_left' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_CENTRAL', 'central' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_LEFT', 'left' );
    define( 'PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_RIGHT', 'right' );
    
    define( 'PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE', 'https://wordpress.org' );
    define( 'PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE', 'https://www.productiveminds.com' );

    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_TEXT_DOMAIN', "productive-minds" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_TITLE', __( 'Productive Minds', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_MINDS_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_minds_options_submenu' ) );

    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_TEXT_DOMAIN', "productive-product" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_TITLE', __( 'Productive Product', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_PRODUCT_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_product_options_submenu' ) );
    
    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_TEXT_DOMAIN', "productive-commerce" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_TITLE', __( 'Productive Commerce', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_COMMERCE_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_commerce_options_submenu' ) );

    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_TEXT_DOMAIN', "productive-forms" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_TITLE', __( 'Productive Forms', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_FORMS_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_forms_options_submenu' ) );

    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_TEXT_DOMAIN', "productive-style" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_TITLE', __( 'Productive Style', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_STYLE_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_style_options_submenu' ) );

    
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TEXT_DOMAIN', "productive-demo-importer" );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TITLE', __( 'Productive Demo Importer', 'productive-ecommerce' ) );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_REPO_URL', PRODUCTIVE_GLOBAL_WP_REPO_WEBSITE . '/plugins/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_OUR_URL', PRODUCTIVE_GLOBAL_PRODUCT_DEVELOPER_WEBSITE . '/product/' . PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TEXT_DOMAIN );
    define( 'PRODUCTIVE_GLOBAL_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_demo_importer_options_submenu' ) );
    
    // globals
    require_once( plugin_dir_path( __FILE__ ) . 'validate-verify-process.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'productiveminds-icons.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'productiveminds-social-share.php' );
    
    require_once( plugin_dir_path( __FILE__ ) . 'global-grid.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'global-popup.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'global-slider.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'global-sharing.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'global-misc.php' );
    
    // part template include
    require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-fields-grid.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-fields-popup.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-fields-slider.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-fields-sharing.php' );
    require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-fields-misc.php' );
    
    if( function_exists( 'productiveminds_theme_is_active' ) ) {
        require_once( plugin_dir_path( __FILE__ ) . 'productiveminds-themes.php' );
    }
    
    function productive_global_register_sections() {
        productive_global_register_section_grid();
        productive_global_register_section_popup();
        productive_global_register_section_slider();
        productive_global_register_section_sharing();
        productive_global_register_section_misc();
    }
    
    $productive_global_popup_transition_easing = productive_global_popup_transition_easing();
    $productive_global_popup_transition_direction = productive_global_popup_transition_direction();
    
    $is_on_productive_global_popup_close_with_esc_key_enable = '';
    if( is_on_productive_global_popup_close_with_esc_key_enable() ) {
        $is_on_productive_global_popup_close_with_esc_key_enable = 'can_keyup';
    }
    $is_on_productive_global_popup_close_with_click_elsewhere_enable = '';
    if( is_on_productive_global_popup_close_with_click_elsewhere_enable() ) {
        $is_on_productive_global_popup_close_with_click_elsewhere_enable = 'can_elsewhere';
    }
    
    // Admin SubMenu for Global settings
    function productive_global_plugin_options_render_page_menu_global() {
        if( !function_exists( 'productive_global_menulist_is_includes' ) ) {
            add_submenu_page(
                PRODUCTIVE_GLOBAL_ADMIN_OVERVIEW_REQUEST_URI,
                PRODUCTIVE_GLOBAL_SETTINGS_BROWSER_NAVBAR_TITLE, // Browser navbar title
                PRODUCTIVE_GLOBAL_SETTINGS_BROWSER_SIDEBAR_MENU_TITLE, // Sidebar menu text
                'administrator', 
                PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI, // Unique id
                'productive_global_options_render_page_menu_html' // Callback function for the menu
            );
            require_once( plugin_dir_path( __FILE__ ) . 'partials/part-global-more.php' );
        }
    }
    
    // Admin render for Global settings
    function productive_global_options_render_page_menu_html() {
        // check user capabilities
        if ( !current_user_can( 'manage_options' ) ) {
            add_settings_error( 'productive_global_admin_messages', 'productive_global_admin_message', esc_html__( 'You do not have permission to access this resource.', 'productive-ecommerce' ), 'error' );
            settings_errors( 'productive_global_admin_messages' );
        } else {
        // check if the user have submitted the settings
        $is_error_count_section_grid = count( get_settings_errors('productive_global_section_grid_options') );
        $is_error_count_section_popup = count( get_settings_errors('productive_global_section_popup_options') );
        $is_error_count_section_slider = count( get_settings_errors('productive_global_section_slider_options') );
        $is_error_count_section_sharing = count( get_settings_errors('productive_global_section_sharing_options') );
        $is_error_count_section_misc = count( get_settings_errors('productive_global_section_misc_options') );
        if ( isset( $_GET['settings-updated'] ) && $is_error_count_section_grid < 1 && $is_error_count_section_popup < 1 && $is_error_count_section_slider < 1 && $is_error_count_section_sharing < 1 && $is_error_count_section_misc < 1 ) {
            // add settings saved message with the class of "updated"
            add_settings_error( 'productive_global_admin_messages', 'productive_global_admin_message', __( 'Settings Saved', 'productive-ecommerce' ), 'updated' );
        }
        settings_errors( 'productive_global_admin_messages' );

        $active_tab = 'section_global_grid_options_tab';
        if( isset( $_GET[ 'tab' ] ) ) {
            $active_tab = sanitize_text_field( $_GET[ 'tab' ] );
        }
        ?>

        <div class="wrap productive-global-options-page-wrapper">
           <div class="page-wrapper-heading-container">
                <div class="page-wrapper-heading">
                    <h1><?php echo PRODUCTIVE_GLOBAL_SETTINGS_COMPONENT_NAME; ?></h1>
                </div>
                <div class="page-wrapper-heading-version">
                    <div><?php echo 'v' . PRODUCTIVE_GLOBAL_SETTINGS_VERSION; ?></div>
                </div>
           </div>
            <div class="page-wrapper-body">

                <div class="page-wrapper-options-error">
                    <?php settings_errors('productive_global_section_grid_options'); ?>
                    <?php settings_errors('productive_global_section_popup_options'); ?>
                    <?php settings_errors('productive_global_section_slider_options'); ?>
                    <?php settings_errors('productive_global_section_sharing_options'); ?>
                    <?php settings_errors('productive_global_section_misc_options'); ?>
                </div>

                <?php
                    $section_global_grid_options_tab_active = '';
                    if ( $active_tab === 'section_global_grid_options_tab' ) {
                        $section_global_grid_options_tab_active = 'nav-tab-active';
                    }
                    $section_global_popup_options_tab_active = '';
                    if ( $active_tab === 'section_global_popup_options_tab' ) {
                        $section_global_popup_options_tab_active = 'nav-tab-active';
                    }
                    $section_global_slider_options_tab_active = '';
                    if ( $active_tab === 'section_global_slider_options_tab' ) {
                        $section_global_slider_options_tab_active = 'nav-tab-active';
                    }
                    $section_global_sharing_options_tab_active = '';
                    if ( $active_tab === 'section_global_sharing_options_tab' ) {
                        $section_global_sharing_options_tab_active = 'nav-tab-active';
                    }
                    $section_global_misc_options_tab_active = '';
                    if ( $active_tab === 'section_global_misc_options_tab' ) {
                        $section_global_misc_options_tab_active = 'nav-tab-active';
                    }
                ?>
                <h2 class="nav-tab-wrapper">
                    <a href="?page=<?php echo PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI; ?>&tab=section_global_grid_options_tab" class="nav-tab <?php echo esc_attr($section_global_grid_options_tab_active); ?>"><?php echo PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_GRID; ?></a>
                    <a href="?page=<?php echo PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI; ?>&tab=section_global_popup_options_tab" class="nav-tab <?php echo esc_attr($section_global_popup_options_tab_active); ?>"><?php echo PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_POPUP; ?></a>
                    <a href="?page=<?php echo PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI; ?>&tab=section_global_slider_options_tab" class="nav-tab <?php echo esc_attr($section_global_slider_options_tab_active); ?>"><?php echo PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_SLIDER; ?></a>
                    <a href="?page=<?php echo PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI; ?>&tab=section_global_sharing_options_tab" class="nav-tab <?php echo esc_attr($section_global_sharing_options_tab_active); ?>"><?php echo PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_SHARING; ?></a>
                    <a href="?page=<?php echo PRODUCTIVE_GLOBAL_ADMIN_PAGE_REQUEST_URI; ?>&tab=section_global_misc_options_tab" class="nav-tab <?php echo esc_attr($section_global_misc_options_tab_active); ?>"><?php echo PRODUCTIVE_GLOBAL_SETTINGS_SECTION_TITLE_MISC; ?></a>
                </h2>
                <div class="page-wrapper-body-form">
                    <div class="productive-global-item-container">
                        <form class="productive_global_options_form" name="productive_global_options_form" method="post" action="options.php">   
                            <?php if ( $active_tab == 'section_global_grid_options_tab' ) { ?>
                                <?php
                                    settings_fields( 'productive_global_section_grid_options' );
                                    do_settings_sections( 'productive_global_section_grid_options' );
                                ?>
                                <?php submit_button();?>
                            <?php } else if ( $active_tab == 'section_global_popup_options_tab' ) { ?>
                                <?php
                                    settings_fields( 'productive_global_section_popup_options' );
                                    do_settings_sections( 'productive_global_section_popup_options' );
                                ?>
                                <?php submit_button();?>
                            <?php } else if ( $active_tab == 'section_global_slider_options_tab' ) { ?>
                                <?php
                                    settings_fields( 'productive_global_section_slider_options' );
                                    do_settings_sections( 'productive_global_section_slider_options' );
                                ?>
                                <?php submit_button();?>
                            <?php } else if ( $active_tab == 'section_global_sharing_options_tab' ) { ?>
                                <?php
                                    settings_fields( 'productive_global_section_sharing_options' );
                                    do_settings_sections( 'productive_global_section_sharing_options' );
                                ?>
                                <?php submit_button();?>
                            <?php } else if ( $active_tab == 'section_global_misc_options_tab' ) { ?>
                                <?php
                                    settings_fields( 'productive_global_section_misc_options' );
                                    do_settings_sections( 'productive_global_section_misc_options' );
                                ?>
                                <?php submit_button();?>
                            <?php } ?>
                        </form>
                    </div>
                </div>

            </div>
        </div>

        <?php
        }
    }
    
    /**
     * Assign slider vars
     * 
     * @param type $productiveminds_common_localize_script_vars
     */
    function productive_global_get_common_swiper_localize_script( &$productiveminds_common_localize_script_vars ) {
        $swiper_var_simulateTouch = false;
        $swiper_var_scrollBarEnabled = false;
        $productive_global_slider_user_controls = productive_global_slider_user_controls();
        if ( 'all' == $productive_global_slider_user_controls || 
                'touch_swipe' == $productive_global_slider_user_controls || 
                'touch_swipe_and_arrows' == $productive_global_slider_user_controls || 
                'touch_swipe_and_dots' == $productive_global_slider_user_controls ) {
                $swiper_var_simulateTouch = true;
        }

        $spv_widescreen = productive_global_slider_slides_per_view_widescreen();
        $spv_desktop = productive_global_slider_slides_per_view_desktop();
        $spv_tablet_landscape = productive_global_slider_slides_per_view_tablet_landscape();
        $spv_tablet_portrait = productive_global_slider_slides_per_view_tablet_portrait();
        $spv_mobile_landscape = productive_global_slider_slides_per_view_mobile_landscape();
        $spv_mobile_portrait = productive_global_slider_slides_per_view_mobile_portrait();
        $spv_slides = $spv_mobile_portrait.','.$spv_mobile_landscape.','.$spv_tablet_portrait . ','.$spv_tablet_landscape . ','.$spv_desktop . ','.$spv_widescreen;

        $bp_widescreen = productive_global_grid_breakpoint_widescreen();
        $bp_desktop = productive_global_grid_breakpoint_desktop();
        $bp_tablet_landscape = productive_global_grid_breakpoint_tablet_landscape();
        $bp_tablet_portrait = productive_global_grid_breakpoint_tablet_portrait();
        $bp_mobile_landscape = productive_global_grid_breakpoint_mobile_landscape();
        $bp_mobile_portrait = productive_global_grid_breakpoint_mobile_portrait();
        $bp_breakpoints = $bp_mobile_portrait.','.$bp_mobile_landscape.','.$bp_tablet_portrait.','.$bp_tablet_landscape.','.$bp_desktop.','.$bp_widescreen;

        $bp_margins = '15,15,20,20,25,25'; // Slide margins

        $productiveminds_common_localize_script_vars['ajax_admin_url'] = admin_url( 'admin-ajax.php' );
        $productiveminds_common_localize_script_vars['nonce'] = wp_create_nonce('productive_global_scripts');
        $productiveminds_common_localize_script_vars['swiper_var_enabled'] = true;
        $productiveminds_common_localize_script_vars['swiper_var_slidesPerView'] = $spv_slides;
        $productiveminds_common_localize_script_vars['swiper_var_slidesBreakPoints'] = $bp_breakpoints;
        $productiveminds_common_localize_script_vars['swiper_var_effect'] = productive_global_slider_transition_style();
        $productiveminds_common_localize_script_vars['swiper_var_loop'] = is_on_productive_global_slider_play_loop_enable();
        $productiveminds_common_localize_script_vars['swiper_var_direction'] = productive_global_slider_transition_direction();
        $productiveminds_common_localize_script_vars['swiper_var_lazyLoading'] = is_on_productive_global_slider_lazy_loading_enable();
        $productiveminds_common_localize_script_vars['swiper_var_autoplay'] = is_on_productive_global_slider_autoplay_enable();
        $productiveminds_common_localize_script_vars['swiper_var_delay'] = productive_global_slider_transition_delay();
        $productiveminds_common_localize_script_vars['swiper_var_pauseOnMouseEnter'] = is_on_productive_global_slider_pause_on_mouse_over_enable();
        $productiveminds_common_localize_script_vars['swiper_var_scrollbar'] = $swiper_var_scrollBarEnabled;
        $productiveminds_common_localize_script_vars['swiper_var_simulateTouch'] = $swiper_var_simulateTouch;
        $productiveminds_common_localize_script_vars['swiper_var_grabCursor'] = $swiper_var_simulateTouch;
        $productiveminds_common_localize_script_vars['swiper_var_slides_margin'] = $bp_margins;

    }
    function productive_global_get_common_std_localize_script( &$productiveminds_common_localize_script_vars ) {
        $productiveminds_common_localize_script_vars['productiveminds_global_home_url'] = esc_url( home_url() );
    }
    
    /**
     * Global inline CSS
     * @return $css
     */
    function productive_global_apply_custom_css() {
        $css_settings = productive_global_get_custom_css();
        // Popup
        $css =  '' .
            '.productive_popup .productive_popup-overlay {
                    min-width: ' . esc_html( $css_settings['productive_global_popup_width_min'] ) . 'px;
                    max-width: ' . esc_html( $css_settings['productive_global_popup_width_max'] ) . 'px;
            }.productive_popup-overlay > header, .productive_popup-overlay > footer {
                    background: ' . esc_html( $css_settings['productive_global_popup_header_footer_bg_color'] ) . ';
            }.productive_popup-overlay > header.productive_popup-header, .productive_popup-overlay > footer.productive_popup-footer {
                    color: ' . esc_html( $css_settings['productive_global_popup_header_footer_text_color'] ) . ';
            }.productive_popup-overlay > header.productive_popup-header a, .productive_popup-overlay > footer.productive_popup-footer a {
                    color: ' . esc_html( $css_settings['productive_global_popup_header_footer_hyperlink_color'] ) . ';
            }.productive_popup-overlay > header.productive_popup-header a:hover, .productive_popup-overlay > footer.productive_popup-footer a:hover {
                    color: ' . esc_html( $css_settings['productive_global_popup_header_footer_hyperlink_color_hover'] ) . ';
            }.productive_popup-overlay > .productive-popup-close-button span, .productive_popup-overlay > .productive-popup-close-button-video span, .productive_popup-overlay > .productive-popup-close-button-quickview span,
             .close-productive-display-button-icon span.the_close_icon {
                    color: ' . esc_html( $css_settings['productive_global_popup_close_button_color'] ) . ';
                    background: ' . esc_html( $css_settings['productive_global_popup_close_button_color_bg'] ) . ';
            }.productive_popup-overlay > .productive-popup-close-button span:hover, .productive_popup-overlay > .productive-popup-close-button-video span:hover, .productive_popup-overlay > .productive-popup-close-button-quickview span:hover,
             .close-productive-display-button-icon span.the_close_icon:hover {
                    color: ' . esc_html( $css_settings['productive_global_popup_close_button_color_hover'] ) . ';
                    background: ' . esc_html( $css_settings['productive_global_popup_close_button_color_hover_bg'] ) . ';
            }.productive_popup {
                    background: rgba(0, 0, 0, ' . esc_html( $css_settings['productive_global_popup_bg_opacity'] ) . ');
            }.productiveminds-transformer-overlay .transformer-container .transformer {
                    width: ' . esc_html( $css_settings['productive_global_misc_is_loading_size'] ) . 'px;
                    height: ' . esc_html( $css_settings['productive_global_misc_is_loading_size'] ) . 'px;
                    border: ' . esc_html( $css_settings['productive_global_misc_is_loading_thickness'] ) . 'px solid ' . esc_html( $css_settings['productive_global_misc_is_loading_color_1'] ) . ';
                    border-top: ' . esc_html( $css_settings['productive_global_misc_is_loading_thickness'] ) . 'px solid ' . esc_html( $css_settings['productive_global_misc_is_loading_color_2'] ) . ';
            }.productiveminds_minds_the_social_shares .productive_social_shares {
                    row-gap: ' . esc_html( $css_settings['productive_global_sharing_icon_spacing'] ) . 'px;
                    column-gap: ' . esc_html( $css_settings['productive_global_sharing_icon_spacing'] ) . 'px;
            }.productiveminds_minds_the_social_shares .productive_social_shares a {
                    background: ' . esc_html( $css_settings['productive_global_sharing_icon_bg_color'] ) . ';
            }.productiveminds_minds_the_social_shares .productive_social_shares a:hover {
                    background: ' . esc_html( $css_settings['productive_global_sharing_icon_bg_color_hover'] ) . ';
            }';
            
            if( isset( $css_settings['productive_global_popup_transition_easing']) ) {
                $css .=  '' .
                    '[data-enter-exit-transition-global] .productive_popup-overlay {
                        transition: all 0.4s var(' . esc_html( $css_settings['productive_global_popup_transition_easing'] ) . ');
                }';
            }
            if( isset( $css_settings['productive_global_sharing_icon_color']) && '' !== $css_settings['productive_global_sharing_icon_color'] ) {
                $css .=  '' .
                    '.productiveminds_minds_the_social_shares .productive_social_shares a svg path,
                        .productiveminds_minds_the_social_shares .productive_social_shares a svg .productive-icons.plugin-social-media-icons {
                        fill: ' . esc_html( $css_settings['productive_global_sharing_icon_color'] ) . ';
                }';
            }
            $popup_fullscreen_breakpoint = intval( $css_settings['productive_global_popup_when_modal_goes_fullscreen'] );
            if( $popup_fullscreen_breakpoint ) {
                $css .= '@media (max-width: ' . $popup_fullscreen_breakpoint . 'px) {';
                $css .= '
                    .productive_popup.full_small_screen {
                        padding: 0;
                    }
                    .productive_popup.full_small_screen .productive_popup-overlay {
                        border-radius: 0; width: 100%; max-width: 100%; height: 100vh; max-height: 100vh;
                    }
                }';
            }
            
            // Grid
            $css .=  '' .
            '.productiveminds_section-container {
                    row-gap: ' . esc_html( $css_settings['productive_global_grid_row_gap'] ) . 'px;
                    column-gap: ' . esc_html( $css_settings['productive_global_grid_column_gap'] ) . 'px;
            }';
            // Widescreen
            $productive_global_grid_breakpoint_widescreen = intval( $css_settings['productive_global_grid_breakpoint_widescreen'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_widescreen . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_widescreen'] ) . ', 1fr);
                }
            }';
            // Desktop
            $productive_global_grid_breakpoint_desktop = intval( $css_settings['productive_global_grid_breakpoint_desktop'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_desktop . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6, .productiveminds_section-container.columns-5, .productiveminds_section-container.columns-4  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_desktop'] ) . ', 1fr);
                }
            }';
            // Tablet (Landscape)
            $productive_global_grid_breakpoint_tablet_landscape = intval( $css_settings['productive_global_grid_breakpoint_tablet_landscape'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_tablet_landscape . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6, .productiveminds_section-container.columns-5, .productiveminds_section-container.columns-4  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_tablet_landscape'] ) . ', 1fr);
                }
            }';
            // Tablet (Portrait)
            $productive_global_grid_breakpoint_tablet_portrait = intval( $css_settings['productive_global_grid_breakpoint_tablet_portrait'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_tablet_portrait . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6, .productiveminds_section-container.columns-5,, .productiveminds_section-container.columns-4, .productiveminds_section-container.columns-3  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_tablet_portrait'] ) . ', 1fr);
                }
            }';
            // Mobile (Landscape)
            $productive_global_grid_breakpoint_mobile_landscape = intval( $css_settings['productive_global_grid_breakpoint_mobile_landscape'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_mobile_landscape . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6, .productiveminds_section-container.columns-5, .productiveminds_section-container.columns-4, .productiveminds_section-container.columns-3  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_mobile_landscape'] ) . ', 1fr);
                }
            }';
            // Mobile (portrait)
            $productive_global_grid_breakpoint_mobile_portrait = intval( $css_settings['productive_global_grid_breakpoint_mobile_portrait'] );
            $css .= '@media (max-width: ' . $productive_global_grid_breakpoint_mobile_portrait . 'px) {';
            $css .= '
                .productiveminds_section-container.columns-8, .productiveminds_section-container.columns-7, .productiveminds_section-container.columns-6, .productiveminds_section-container.columns-5, .productiveminds_section-container.columns-4, .productiveminds_section-container.columns-3, .productiveminds_section-container.columns-2  {
                    grid-template-columns: repeat(' . esc_html( $css_settings['productive_global_grid_cols_per_row_mobile_portrait'] ) . ', 1fr);
                }
            }';
            
            $css .= '';
            
            return trim($css);
    }
    function productive_global_get_custom_css() {
        $local_style_setting = array();
        $local_style_setting['productive_global_popup_width_min']                                   = productive_global_popup_width_min();
        $local_style_setting['productive_global_popup_width_max']                                   = productive_global_popup_width_max();
        $local_style_setting['productive_global_popup_when_modal_goes_fullscreen']                  = productive_global_popup_when_modal_goes_fullscreen();
        $local_style_setting['productive_global_popup_header_footer_bg_color']                      = productive_global_popup_header_footer_bg_color();
        $local_style_setting['productive_global_popup_header_footer_text_color']                    = productive_global_popup_header_footer_text_color();
        $local_style_setting['productive_global_popup_header_footer_hyperlink_color']               = productive_global_popup_header_footer_hyperlink_color();
        $local_style_setting['productive_global_popup_header_footer_hyperlink_color_hover']         = productive_global_popup_header_footer_hyperlink_color_hover();
        $local_style_setting['productive_global_popup_close_button_color']                          = productive_global_popup_close_button_color();
        $local_style_setting['productive_global_popup_close_button_color_bg']                       = productive_global_popup_close_button_color_bg();
        $local_style_setting['productive_global_popup_close_button_color_hover']                    = productive_global_popup_close_button_color_hover();
        $local_style_setting['productive_global_popup_close_button_color_hover_bg']                 = productive_global_popup_close_button_color_hover_bg();
        $local_style_setting['productive_global_popup_transition_easing']                           = productive_global_popup_transition_easing();
        $local_style_setting['productive_global_popup_bg_opacity']                                  = productive_global_popup_bg_opacity();
        
        $local_style_setting['productive_global_grid_row_gap']                                      = productive_global_grid_row_gap();
        $local_style_setting['productive_global_grid_column_gap']                                   = productive_global_grid_column_gap();
        
        $local_style_setting['productive_global_grid_breakpoint_widescreen']                        = productive_global_grid_breakpoint_widescreen();
        $local_style_setting['productive_global_grid_cols_per_row_widescreen']                      = productive_global_grid_cols_per_row_widescreen();
        
        $local_style_setting['productive_global_grid_breakpoint_desktop']                           = productive_global_grid_breakpoint_desktop();
        $local_style_setting['productive_global_grid_cols_per_row_desktop']                         = productive_global_grid_cols_per_row_desktop();
        
        $local_style_setting['productive_global_grid_breakpoint_tablet_landscape']                  = productive_global_grid_breakpoint_tablet_landscape();
        $local_style_setting['productive_global_grid_cols_per_row_tablet_landscape']                = productive_global_grid_cols_per_row_tablet_landscape();
        
        $local_style_setting['productive_global_grid_breakpoint_tablet_portrait']                   = productive_global_grid_breakpoint_tablet_portrait();
        $local_style_setting['productive_global_grid_cols_per_row_tablet_portrait']                 = productive_global_grid_cols_per_row_tablet_portrait();
        
        $local_style_setting['productive_global_grid_breakpoint_mobile_landscape']                  = productive_global_grid_breakpoint_mobile_landscape();
        $local_style_setting['productive_global_grid_cols_per_row_mobile_landscape']                = productive_global_grid_cols_per_row_mobile_landscape();
        
        $local_style_setting['productive_global_grid_breakpoint_mobile_portrait']                   = productive_global_grid_breakpoint_mobile_portrait();
        $local_style_setting['productive_global_grid_cols_per_row_mobile_portrait']                 = productive_global_grid_cols_per_row_mobile_portrait();
        
        $local_style_setting['productive_global_misc_is_loading_color_1']                           = productive_global_misc_is_loading_color_1();
        $local_style_setting['productive_global_misc_is_loading_color_2']                           = productive_global_misc_is_loading_color_2();
        $local_style_setting['productive_global_misc_is_loading_size']                              = productive_global_misc_is_loading_size();
        $local_style_setting['productive_global_misc_is_loading_thickness']                         = productive_global_misc_is_loading_thickness();
        
        $local_style_setting['productive_global_sharing_icon_color']                                = productive_global_sharing_icon_color();
        $local_style_setting['productive_global_sharing_icon_bg_color']                             = productive_global_sharing_icon_bg_color();
        $local_style_setting['productive_global_sharing_icon_bg_color_hover']                       = productive_global_sharing_icon_bg_color_hover();
        $local_style_setting['productive_global_sharing_icon_spacing']                              = productive_global_sharing_icon_spacing();
        
        return $local_style_setting;
    }
    
    
    function productive_global_get_woo_product_return_wc_get_product_object( $product ) {
        $product_object = null;
        if( null != $product && !is_object( $product ) ) {
            $args = array(
                'post_type' => 'product',
                'posts_per_page' => 1,
                'post_status' => 'publish',
                'suppress_filters' => 0,
            );
            if(is_numeric( $product ) ) {
                $args['p'] = $product;
            } else {
                $args['name'] = $product;
            }
            $product_post = new WP_Query( $args );
            $product_object_query = $product_post->found_posts ? $product_post->posts[0] : false;
            if( $product_object_query ) {
                $product_object = wc_get_product( $product_object_query->ID );
            } 
        } else {
            if( $product instanceof WC_Product ) {
                $product_object = $product;
            } else if( $product->ID ) {
                $product_object = wc_get_product( $product->ID );
            }
        }
        return $product_object;
    }

    function productive_global_setcookie( $name, $value, $expires_in ) {
        $secure = ( 'https' === parse_url( home_url(), PHP_URL_SCHEME ) );
	setcookie( $name, $value, $expires_in, COOKIEPATH, COOKIE_DOMAIN, $secure );
    }
    
    function productive_global_wp_filesystem() {
        global $wp_filesystem;
        if( null == $wp_filesystem || !$wp_filesystem) {
            require_once ABSPATH . 'wp-admin/includes/file.php';
            WP_Filesystem();
        }
        return $wp_filesystem;
    }
    
    function productive_global_uploads_folder_name() {
        return 'productiveminds';
    }
    
    function productive_global_get_uploads_url() {
        $upload_dir = wp_upload_dir();
        return $upload_dir['baseurl'];
    }
    
    function productive_global_get_uploads_path() {
        $upload_dir = wp_upload_dir();
        return $upload_dir['basedir'];
    }
    
    function productive_global_get_activate_or_deactivate_options() {
        return array (
            '1' => __( 'Activate', 'productive-ecommerce' ),
            '0' => __( 'De-Activate', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_enable_or_disable_options() {
        return array (
            '1' => __( 'Enable', 'productive-ecommerce' ),
            '0' => __( 'Disable', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_show_or_hide_options() {
        return array (
            '1' => __( 'Show', 'productive-ecommerce' ),
            '0' => __( 'Hide', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_yes_or_no_options() {
        return array (
            '1' => __( 'Yes', 'productive-ecommerce' ),
            '0' => __( 'No', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_true_or_false_options() {
        return array (
            '1' => __( 'True', 'productive-ecommerce' ),
            '0' => __( 'False', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_start_or_stop_options() {
        return array (
            '1' => __( 'Start', 'productive-ecommerce' ),
            '0' => __( 'Stop', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_show_item_on_the_left_or_right_or_hide_options() {
        return array (
            'hide' => __( 'Hide', 'productive-ecommerce' ),
            'position_left' => __( 'Left', 'productive-ecommerce' ),
            'position_right' => __( 'Right', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_horizontal_align_options() {
        return array (
            'center'            => __( 'Center', 'productive-ecommerce' ),
            'flex-start'        => __( 'Start (Left)', 'productive-ecommerce' ),
            'flex-end'          => __( 'End (Right)', 'productive-ecommerce' ),
            'space-evenly'      => __( 'Space Evenly', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_vertical_align_options() {
        return array (
            'flex-start'        => __( 'Top', 'productive-ecommerce' ),
            'center'            => __( 'Middle', 'productive-ecommerce' ),
            'flex-end'          => __( 'Bottom', 'productive-ecommerce' ),
            'stretch'           => __( 'Stretch', 'productive-ecommerce' ),
            'space-evenly'      => __( 'Space Evenly', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_popup_screen_positions() {
        return array (
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_TOP_RIGHT           => __( 'Top Right', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_TOP_LEFT            => __( 'Top Left', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_BOTTOM_RIGHT        => __( 'Bottom Right', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_BOTTOM_LEFT         => __( 'Bottom Left', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_CENTRAL             => __( 'Central', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_LEFT             => __( 'Left', 'productive-ecommerce' ),
            PRODUCTIVE_GLOBAL_POPUP_SCREEN_POSITION_RIGHT             => __( 'Right', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_popup_transition_easings() {
        return array (
            '--ease' => __( 'Ease', 'productive-ecommerce' ),
            '--ease-in' => __( 'Ease In', 'productive-ecommerce' ),
            '--ease-out' => __( 'Ease Out', 'productive-ecommerce' ),
            '--ease-in-out' => __( 'Ease In/Out', 'productive-ecommerce' ),
            '--linear' => __( 'Linear', 'productive-ecommerce' ),
            '--cubic-bezier-1' => __( 'Cubic Bezier Style 1', 'productive-ecommerce' ),
            '--cubic-bezier-2' => __( 'Cubic Bezier Style 2', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_popup_transition_directions() {
        return array (
            'slideFromTop' => __( 'Top', 'productive-ecommerce' ),
            'slideFromBottom' => __( 'Bottom', 'productive-ecommerce' ),
            'slideFromLeft' => __( 'Left', 'productive-ecommerce' ),
            'slideFromRight' => __( 'Right', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_popup_cols_per_row_values() {
        return array (
            1 => __( '1 - Default', 'productive-ecommerce' ),
            2 => __( '2', 'productive-ecommerce' ),
            3 => __( '3', 'productive-ecommerce' ),
            4 => __( '4', 'productive-ecommerce' ),
            5 => __( '5', 'productive-ecommerce' ),
            6 => __( '6', 'productive-ecommerce' ),
            7 => __( '7', 'productive-ecommerce' ),
            8 => __( '8', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_slider_transition_styles() {
        return array (
            'slide' => __( 'Slide', 'productive-ecommerce' ),
            'fade' => __( 'Fade', 'productive-ecommerce' ),
            'flip' => __( 'Flip', 'productive-ecommerce' ),
            'cards' => __( 'Cards', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_slider_transition_delays() {
        return array (
            '1000' => __( '1 second', 'productive-ecommerce' ),
            '2000' => __( '2 seconds', 'productive-ecommerce' ),
            '3000' => __( '3 seconds', 'productive-ecommerce' ),
            '4000' => __( '4 seconds', 'productive-ecommerce' ),
            '5000' => __( '5 seconds', 'productive-ecommerce' ),
            '7500' => __( '7.5 seconds', 'productive-ecommerce' ),
            '10000' => __( '10 seconds', 'productive-ecommerce' ),
            '15000' => __( '15 seconds', 'productive-ecommerce' ),
            '20000' => __( '20 seconds', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_slider_transition_directions() {
        return array (
            'horizontal' => __( 'Horizontal', 'productive-ecommerce' ),
            //'vertical' => __( 'Vertical', 'productive-ecommerce' ),
        );
    }

    function productive_global_get_slider_user_controls() {
        return array (
            'none'                      => __( 'None', 'productive-ecommerce' ),
            'touch_swipe'               => __( 'Touch Swipe Only', 'productive-ecommerce' ),
            'dots'                      => __( 'Pagination Dots Only', 'productive-ecommerce' ),
            'arrows'                    => __( 'Prev/Next Arrows Only', 'productive-ecommerce' ),
            'dots_and_arrows'           => __( 'Dots &#38; Arrows', 'productive-ecommerce' ),
            'touch_swipe_and_arrows'    => __( 'Touch Swipe &#38; Arrows', 'productive-ecommerce' ),
            'touch_swipe_and_dots'      => __( 'Touch Swipe &#38; Dots', 'productive-ecommerce' ),
            'all'                       => __( 'Allow All Three Actions', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_slides_per_view_values() {
        return array (
            '1' => __( '1 - Default', 'productive-ecommerce' ),
            '1.5' => __( '1.5', 'productive-ecommerce' ),
            '2' => __( '2', 'productive-ecommerce' ),
            '2.5' => __( '2.5', 'productive-ecommerce' ),
            '3' => __( '3', 'productive-ecommerce' ),
            '3.5' => __( '3.5', 'productive-ecommerce' ),
            '4' => __( '4', 'productive-ecommerce' ),
            '4.5' => __( '4.5', 'productive-ecommerce' ),
            '5' => __( '5', 'productive-ecommerce' ),
            '5.5' => __( '5.5', 'productive-ecommerce' ),
            '6' => __( '6', 'productive-ecommerce' ),
            '6.5' => __( '6.5', 'productive-ecommerce' ),
            '7' => __( '7', 'productive-ecommerce' ),
            '7.5' => __( '7.5', 'productive-ecommerce' ),
            '8' => __( '8', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_popup_when_modal_goes_fullscreens() {
        return array (
            'disabled'          => __( 'Disable', 'productive-ecommerce' ),
            'mobile_portrait'   => __( 'Mobile (portrait)', 'productive-ecommerce' ),
            'mobile_landscpe'   => __( 'Mobile (Landscape)', 'productive-ecommerce' ),
            'tablet_portrait'   => __( 'Tablet (portrait)', 'productive-ecommerce' ),
            'tablet_landscpe'   => __( 'Tablet (Landscape)', 'productive-ecommerce' ),
            'desktop'           => __( 'Desktop', 'productive-ecommerce' ),
            'widescreen'        => __( 'Widescreen', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_popup_bg_opacity_options() {
        return array (
            '0.1' => __( '0.1 (transparent)', 'productive-ecommerce' ),
            '0.2' => __( '0.2', 'productive-ecommerce' ),
            '0.3' => __( '0.3', 'productive-ecommerce' ),
            '0.4' => __( '0.4', 'productive-ecommerce' ),
            '0.5' => __( '0.5', 'productive-ecommerce' ),
            '0.6' => __( '0.6', 'productive-ecommerce' ),
            '0.7' => __( '0.7', 'productive-ecommerce' ),
            '0.8' => __( '0.8', 'productive-ecommerce' ),
            '0.9' => __( '0.9', 'productive-ecommerce' ),
            '1.0' => __( '1.0 (opaque)', 'productive-ecommerce' ),
        );
    }
    
    function productive_global_get_cpt_query_order_by( $query = 'newest' ) {
        $query_vars = array();
        switch ($query) {
            case 'menu_order':
                $query_vars['orderby'] = 'menu_order';
                $query_vars['order'] = 'ASC';
                break;
            case 'title_a_z':
                $query_vars['orderby'] = 'post_title';
                $query_vars['order'] = 'ASC';
                break;
            case 'title_z_a':
                $query_vars['orderby'] = 'post_title';
                $query_vars['order'] = 'DESC';
                break;
            case 'oldest':
                $query_vars['orderby'] = 'date';
                $query_vars['order'] = 'ASC';
                break;
            case 'popular_most_commented':
                $query_vars['orderby'] = 'comment_count';
                $query_vars['order'] = 'DESC';
                break;
            default:
                $query_vars['orderby'] = 'date';
                $query_vars['order'] = 'DESC';
                break;
        }
        return $query_vars;
    }

    function productive_global_get_comment_query_order_by( $query = 'newest' ) {
        $query_vars = array();
        switch ($query) {
            case 'title_a_z':
                $query_vars['orderby'] = 'comment_content';
                $query_vars['order'] = 'ASC';
                break;
            case 'title_z_a':
                $query_vars['orderby'] = 'comment_content';
                $query_vars['order'] = 'DESC';
                break;
            case 'oldest':
                $query_vars['orderby'] = 'date';
                $query_vars['order'] = 'ASC';
                break;
            default:
                $query_vars['orderby'] = 'date';
                $query_vars['order'] = 'DESC';
                break;
        }
        return $query_vars;
    }

    function productive_global_get_cpt_terms($taxonomy, $include_all_option_first = true, $oder_by = 'name', $order = 'ASC' ) {
        $element_terms = array();
        $args = array(
            'taxonomy' => $taxonomy,
            'hide_empty' => false,
            'orderby' => $oder_by,
            'order' => $order,
            'suppress_filters' => 0,
        );

        $terms = get_terms($args);
        if( $include_all_option_first ) {
            $element_terms[''] = __('All', 'productive-ecommerce');
        }
        foreach ( $terms as $term ) {
            $element_terms[$term->slug] = $term->name;
        }

        return $element_terms;
    }

    function productive_global_get_cpt_terms_multi($taxonomy, $include_all_option_first = true, $oder_by = 'slug', $order = 'ASC' ) {
        $element_terms = array();
        $terms = productive_global_get_cpt_terms( $taxonomy, $include_all_option_first, $oder_by, $order );
        foreach ( $terms as $slug =>  $term ) {
            $integrated_slug = $slug . '||' . $term;
            $element_terms[$integrated_slug] = $term;
        }
        return $element_terms;
    }

    function productive_global_get_post_latest_post( $post_type, $limit = 1 ) {
        $args = array(
            'post_type' => $post_type,
            'orderby' => 'date',
            'order' => 'DESC',
            'post_status' => 'publish',
            'posts_per_page' => $limit
        );
        return new WP_Query( $args );
    }

    function productive_global_get_post_query_first_object( $post_query_object ) {
        return $post_query_object->found_posts ? $post_query_object->posts[0] : false;
    }

    function productive_global_get_post_by_post_id( $post_id, $post_type = '' ) {
        if( !empty( $post_type ) ) {
            $args = array(
                'post_type' => $post_type,
                'p' => $post_id,
                'suppress_filters' => 0,
            );
        } else {
            $args = array(
                'p' => $post_id,
                'suppress_filters' => 0,
            );
        }
        return new WP_Query( $args );
    }

    function productive_global_get_post_by_post_name( $post_name, $post_type = '' ) {
        if( !empty( $post_type ) ) {
            $args = array(
                'post_type' => $post_type,
                'name' => $post_name,
                'suppress_filters' => 0,
            );
        } else {
            $args = array(
                'name' => $post_name,
                'suppress_filters' => 0,
            );
        }
        return new WP_Query( $args );
    }
    
    function productive_global_get_post_slug_from_id( $post_id ) {
        $post_slug = '';
        if( $post_id ) {
            $post = get_post( $post_id );
            $post_slug = $post->post_name;
        }
        return trim( $post_slug );
    }

    function productive_global_get_site_logo_url() {
        $image = '';
        $custom_logo_id = get_theme_mod( 'custom_logo' );
        if ( $custom_logo_id ) {
            $image = wp_get_attachment_image_url( $custom_logo_id, 'full' );
        }
        return $image;
    }

    function productive_global_add_social_share_ogs( $share_url ) {
        ?>
            <meta property="og:url" content="<?php echo esc_url( $share_url ); ?>" />
            <meta property="og:type" content="<?php echo get_bloginfo( 'description' ); ?>" />
            <meta property="og:title" content="<?php echo get_bloginfo( 'name' ); ?>" />
            <meta property="og:description" content="<?php echo get_bloginfo( 'description' ); ?>" />
            <meta property="og:image" content="<?php echo site_icon_url(); ?>" /> 
            <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
        <?php
    }
    
    function productive_global_render_close_section_button( $icon_size = 16, $use_icon = false, $icon_color_css = 'productive_global_icon_general_color', $transparent_bg = '' ) {
        $productive_global_close_icon_add_to_args = array(
            'i'=> 'close',
            'w'=>$icon_size, 
            'h'=>$icon_size, 
            'css'=> $icon_color_css,
        );
        if( !$use_icon ) {
    ?>
        <div class="close-productive-display-button-icon">
            <span class="the_close_icon textify <?php echo esc_attr($transparent_bg); ?>">X</span>
            <span class="screen-reader-text"><?php esc_html_e('Close Overlay', 'productive-ecommerce'); ?></span>
        </div>
    <?php } else { ?>
        <div class="close-productive-display-button-icon">
            <span class="the_close_icon <?php echo esc_attr($transparent_bg); ?>">
                <?php do_action('display_productiveminds_display_font_icon', $productive_global_close_icon_add_to_args); ?>
            </span>
            
        </div>
    <?php }
    }

    function productive_global_render_no_content_found( $content_type, $empty_content_message, $noned = '' ) {
    ?>
        <div class="productiveminds_section_no_content_found <?php echo esc_attr( $content_type ); ?> <?php echo esc_attr( $noned ); ?>"><?php echo esc_html( $empty_content_message ); ?></div>
    <?php
    }
    
    function productive_global_render_close_element_button_relative( $icon_size = 16, $use_icon = false, $icon_color_css = 'productive_global_icon_general_color', $font_size = 10, $font_css = 'red ', $transparent_bg = '' ) {
        $productive_global_close_icon_add_to_args = array(
            'i'=> 'close',
            'w'=>$icon_size, 
            'h'=>$icon_size, 
            'css'=> $icon_color_css,
        );
        if( !$use_icon ) { 
    ?>
        <div class="close-productive-display-button-icon on_the_spot">
            <span class="the_close_icon textify <?php echo esc_attr($transparent_bg); ?> <?php echo esc_attr($font_css); ?>" style="font-size: <?php echo esc_attr($font_size); ?>px;">X</span>
            <span class="screen-reader-text"><?php esc_html_e('Close', 'productive-ecommerce'); ?></span>
        </div>
    <?php } else { ?>
        <div class="close-productive-display-button-icon on_the_spot">
            <span class="the_close_icon <?php echo esc_attr($transparent_bg); ?>">
                <?php do_action('display_productiveminds_display_font_icon', $productive_global_close_icon_add_to_args); ?>
            </span>
            
        </div>
    <?php }
    }
    function productive_global_get_close_element_button_relative( $icon_size = 16, $use_icon = false, $icon_color_css = 'productive_global_icon_general_color', $font_size = 10, $font_css = 'red ', $transparent_bg = '' ) {
        $close_element_button = '';
        if( !$use_icon ) {
            $close_element_button .= '<div class="close-productive-display-button-icon on_the_spot">';
            $close_element_button .= '<span class="the_close_icon textify ' . $transparent_bg . ' ' . $font_css . '" style="font-size: ' . esc_attr($font_size) . 'px;">X</span>';
            $close_element_button .= '<span class="screen-reader-text">' . __('Close', 'productive-ecommerce') . '</span>';
            $close_element_button .= '</div>';
        } else {
            $close_element_button .= '<div class="close-productive-display-button-icon on_the_spot">';
            $close_element_button .= '<span class="the_close_icon ' . $transparent_bg . '">';
            $close_element_button .= '<svg class="width="' . $icon_size . '" height="' . $icon_size . '" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path class="productive-icons plugin-general-icons ' . $icon_color_css . '" d="M1490 1322q0 40-28 68l-136 136q-28 28-68 28t-68-28l-294-294-294 294q-28 28-68 28t-68-28l-136-136q-28-28-28-68t28-68l294-294-294-294q-28-28-28-68t28-68l136-136q28-28 68-28t68 28l294 294 294-294q28-28 68-28t68 28l136 136q28 28 28 68t-28 68l-294 294 294 294q28 28 28 68z"/></svg>';
            $close_element_button .= '</span>';        
            $close_element_button .= '</div>';
        }
        return $close_element_button;
    }
    
    function productive_global_render_is_loading( $dimension = 0, $border_width = 0, $noned = 'noned', $opacity = 1.0 ) {
        if( !$dimension ) {
            $dimension = productive_global_misc_is_loading_size();
        }
        if( !$border_width ) {
            $border_width = productive_global_misc_is_loading_thickness();
        }
    ?>
        <span class="productiveminds-transformer-overlay <?php echo esc_attr($noned); ?>">
            <div class="transformer-container">
                <div class="transformer" style="width: <?php echo esc_attr($dimension); ?>px; height: <?php echo esc_attr($dimension); ?>px; border-width: <?php echo esc_attr($border_width); ?>px; opacity: <?php echo esc_attr($opacity); ?>;"></div>
            </div>
        </span>
    <?php
    }
    function productive_global_get_is_loading( $dimension = 0, $border_width = 0, $noned = 'noned', $opacity = 1.0 ) {
        if( !$dimension ) {
            $dimension = productive_global_misc_is_loading_size();
        }
        if( !$border_width ) {
            $border_width = productive_global_misc_is_loading_thickness();
        }
        $is_loading = '<span class="productiveminds-transformer-overlay ' . $noned . '">';
        $is_loading .= '<div class="transformer-container">';
        $is_loading .= '<div class="transformer" style="width:' . $dimension . 'px; height: ' . $dimension . 'px; border-width: ' . $border_width .'px; opacity: ' . $opacity . ';"></div>';
        $is_loading .= '</div>';
        $is_loading .= '</span>';
        return $is_loading;
    }
    

    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_full_top() {
        ?>
        <div class="site-body-container_box_full">
        <?php
    }
    add_action( 'display_content_wrapper_full_full_top', 'productive_global_get_content_wrapper_full_full_top' );

    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_full_bottom() {
        ?>
        </div>
        <?php
    }
    add_action( 'display_content_wrapper_full_full_bottom', 'productive_global_get_content_wrapper_full_full_bottom' );


    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_top() {
        ?>
        <div class="site-body-container_box_full">
            <div class="site-body-container_box">
                <div class="site-body-container_box_uno">
        <?php
    }
    add_action( 'display_content_wrapper_full_top', 'productive_global_get_content_wrapper_full_top' );

    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_bottom() {
        ?>
                </div>
            </div>
        </div>
        <?php
    }
    add_action( 'display_content_wrapper_full_bottom', 'productive_global_get_content_wrapper_full_bottom' );


    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_without_uno_top() {
        ?>
        <div class="site-body-container_box_full">
            <div class="site-body-container_box">
        <?php
    }
    add_action( 'display_content_wrapper_full_without_uno_top', 'productive_global_get_content_wrapper_full_without_uno_top' );

    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_full_without_uno_bottom() {
        ?>
            </div>
        </div>
        <?php
    }
    add_action( 'display_content_wrapper_full_without_uno_bottom', 'productive_global_get_content_wrapper_full_without_uno_bottom' );


    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_standard_top() {
        ?>
        <div class="site-body-container_box">
            <div class="site-body-container_box_uno">
        <?php
    }
    add_action( 'display_content_wrapper_standard_top', 'productive_global_get_content_wrapper_standard_top' );

    /**
     * 
     * @param type $args
     */
    function productive_global_get_content_wrapper_standard_bottom() {
        ?>
            </div>
        </div>
        <?php
    }
    add_action( 'display_content_wrapper_standard_bottom', 'productive_global_get_content_wrapper_standard_bottom' );
    
    
    function productive_global_is_global() {
    }
    
}
