<?php
/**
 * @package     productive-ecommerce
 * @author      productiveminds.com
 * @copyright   productiveminds.com
*/ 

function productive_ecommerce_render_content_media_standard( $is_search_result_page = false, $section_show_search_result_post_type = 0 ) {
?>
    <div class="productiveminds_section-single-item-media productiveminds-alignable-container">
        <?php 
        $is_link_to_post_page = 1;
        if ( $is_link_to_post_page ) { ?>
            <a href="<?php echo esc_url( get_permalink() ); ?>"><?php _productive_ecommerce_render_content_media_standard( 1 ); ?></a>
        <?php } else { ?>
            <?php _productive_ecommerce_render_content_media_standard( 1 ); ?>
        <?php } ?>
        <?php if ( $is_search_result_page && $section_show_search_result_post_type ) { ?>
        <div class="search-result-page-post-type">
            <?php echo get_post_type(); ?>
        </div>
        <?php } ?>
    </div>
<?php
}

function _productive_ecommerce_render_content_media_standard( $render_placeholder = 0 ) {
    if ( has_post_thumbnail() ) {
        $attr = array (
            'alt' => get_the_title(),
        );
        the_post_thumbnail( 'full', $attr );
    } else {
        if( $render_placeholder ) {
            do_action( 'display_placeholder_image' );
        }
    }
}
