<?php
/**
 * @package productive-ecommerce
 */

$productive_ecommerce_footer_colour_mode = productive_ecommerce_footer_colour_mode();

get_template_part( 'standard/template-parts/part-footer-newsletter' );

?>

<footer class="site-body-container <?php echo esc_attr($productive_ecommerce_footer_colour_mode); ?> footer-container theme-default">

    <div class="site-body-container_box footer_box_content">
        <div class="site-body-container_box_uno">
            <div class="productiveminds_double_grid column_65_35">
                <div class="site-footer-menu">
                    <?php do_action( 'display_productive_ecommerce_footer_nav', 'site-footer-menu-nav-box' ); ?>
                </div>
                <div class="footer-site-identity">
                    <?php if ( productive_ecommerce_enable_footer_sitelogo_enabled() || productive_ecommerce_enable_footer_sitename_enabled() || productive_ecommerce_enable_footer_sitedesc_enabled() ) { ?>
                        <div class="footer_section_container">
                            <?php do_action( 'display_productive_ecommerce_enable_footer_sitelogo' ); ?>
                            <?php do_action( 'display_productive_ecommerce_enable_footer_sitename' ); ?>
                            <?php do_action( 'display_productive_ecommerce_enable_footer_sitedesc' ); ?>
                        </div>
                    <?php } ?>
                    
                    <?php if ( productive_ecommerce_is_productive_forms_active() ) { ?>
                        <div class="footer_section_container tel_email">
                            <?php do_action( 'display_productive_forms_contact_email_and_phone_themes' ); ?>
                        </div>
                    <?php } ?>

                    <?php if ( productive_ecommerce_is_productive_forms_active() && is_on_productive_forms_social_media_block() ) { ?>
                        <div class="footer_section_container social-media">
                            <?php do_action( 'display_productive_forms_social_media_block' ); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    
    <div class="site-body-container_box_full site-body-container_box_copyright">
        <?php do_action('display_content_wrapper_standard_top'); ?>
            <?php do_action( 'display_productive_ecommerce_enable_footer_copyright' ); ?>
        <?php do_action('display_content_wrapper_standard_bottom'); ?>
    </div>

</footer>