<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */
?>

<?php
$post_thumbnail_id = productive_ecommerce_page_banner_image();
if ( $post_thumbnail_id ) {
$thumbnail_image = productive_ecommerce_get_attachment_by_thumbnail_id( $post_thumbnail_id, 'full', PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE );
?>
    <?php do_action('display_content_wrapper_full_full_top'); ?>
        <div class="productiveminds_banner_container container_with_bg_image <?php echo PRODUCTIVE_ECOMMERCE_CUSTOMIZER_show_top_banner; ?> archive-post productiveminds-alignable-container" style="background-image: url(<?php echo esc_url( $thumbnail_image ); ?>)">
            <div class="productiveminds-alignable-container_uno">
                <?php do_action('display_content_wrapper_full_top'); ?>
                <div class="productiveminds_banner_container_content">
                    <h1><?php echo wp_kses_post( get_the_archive_title() ); ?></h1>
                    <div class="productiveminds_banner_container_content_desc"><?php echo wp_kses_post(get_the_archive_description() ); ?></div>
                </div>
                <?php do_action('display_content_wrapper_full_bottom'); ?>
            </div>
        </div>
    <?php do_action('display_content_wrapper_full_full_bottom'); ?>
    
    <?php do_action( 'display_productive_breadcrumb' ); ?>
    <?php
}
